Skip to content

View one user

Request:

GET /api/v2/users/<user-id>.json

The response is the complete user object. Sections that the role of the API user is not allowed to see are omitted.

Example of response:

{
    "user": {
        "user_id": "61e6e6b0-f147-11e5-b8b3-e03f497dbdff",
        "tenant_id": "34c7f1f6-9201-11e5-a739-e03f497dbdff",
        "name": "John Smith",
        "is_active": true,
        "email": "john.smith@example.com",
        "timezone": "",
        "language": "",
        "groups": ["47f53fcc-9201-11e5-b4ef-e03f497dbdff"],
        "group_id": "47f53fcc-9201-11e5-b4ef-e03f497dbdff",
        "role_id": "5b139cee-f13a-11e5-9615-e03f497dbdff",
        "managed_tenants": [],
        "managed_groups": [],
        "fieldset_login": {
            "can_login": true,
            "login": "j.smith",
            "authenticate_type": "password",
            "must_change_password": false,
            "require_2fa": false,
            "valid_till": null
        },
        "fieldset_recording": {
            "record": "always",
            "on_demand_default": null,
            "record_direction": ["in", "out"],
            "extensions": ["2001", "2002"],
            "record_announcement": null,
            "confidential": false
        },
        "fieldset_screen_recording": {
            "screen_recording_login": null
        },
        "fieldset_phone_services": {
            "phone_pin": null
        },
        "fieldset_licensing": {
            "recording_seat": true,
            "screen_recording_seat": false,
            "monitoring_seat": false,
            "evaluation_seat": false,
            "speech_analytics": false,
            "speech_analytics_license_type": "advanced"
        }
    }
}

Response contains HTTP status code as shown in the following table.

Response Description
200 OK The user is returned in the response body
403 Forbidden The request cannot be completed because API user has no permission to view users
404 Not Found User with such ID does not exist, or it is outside the access scope of the API user